
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Voyager.voyager_dag module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Voyager.voyager_strategy module" href="Voyager.voyager_strategy.html" />
    <link rel="prev" title="Voyager.voyager_actions module" href="Voyager.voyager_actions.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="Voyager.voyager_strategy.html" title="Voyager.voyager_strategy module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="Voyager.voyager_actions.html" title="Voyager.voyager_actions module"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="Voyager.html" accesskey="U">Voyager package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="Voyager.voyager_actions.html"
                        title="previous chapter">Voyager.voyager_actions module</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="Voyager.voyager_strategy.html"
                        title="next chapter">Voyager.voyager_strategy module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/Voyager.voyager_dag.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-Voyager.voyager_dag">
<span id="voyager-voyager-dag-module"></span><h1>Voyager.voyager_dag module<a class="headerlink" href="#module-Voyager.voyager_dag" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="Voyager.voyager_dag.VoyagerDag">
<em class="property">class </em><code class="descclassname">Voyager.voyager_dag.</code><code class="descname">VoyagerDag</code><span class="sig-paren">(</span><em>workingdir</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.add_new_ensemble">
<code class="descname">add_new_ensemble</code><span class="sig-paren">(</span><em>pdb</em>, <em>dag_phil_str_list</em>, <em>dag_cards_str_list</em>, <em>working_dag_list</em>, <em>label</em>, <em>parent</em>, <em>associated_strategy_node</em>, <em>data=None</em>, <em>probability=None</em>, <em>rank=None</em>, <em>plot=None</em>, <em>skip=()</em>, <em>do_not_remove=()</em>, <em>skip_contains=()</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.add_new_ensemble"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.add_new_ensemble" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.add_new_ensemble_clustering">
<code class="descname">add_new_ensemble_clustering</code><span class="sig-paren">(</span><em>listofensembles</em>, <em>saved_graphs</em>, <em>correlation_matrix</em>, <em>to_branch</em>, <em>dizio_alns</em>, <em>list_alns</em>, <em>associated_strategy_node</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.add_new_ensemble_clustering"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.add_new_ensemble_clustering" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.add_node_hkl">
<code class="descname">add_node_hkl</code><span class="sig-paren">(</span><em>dag_phil_str_list</em>, <em>dag_cards_str_list</em>, <em>working_dag_list</em>, <em>working_parameters</em>, <em>label</em>, <em>parent</em>, <em>associated_strategy_node</em>, <em>data=None</em>, <em>probability=None</em>, <em>rank=None</em>, <em>plot=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.add_node_hkl"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.add_node_hkl" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.add_node_model">
<code class="descname">add_node_model</code><span class="sig-paren">(</span><em>pdbz</em>, <em>label</em>, <em>data</em>, <em>parent</em>, <em>associated_strategy_node</em>, <em>probability=None</em>, <em>rank=None</em>, <em>solution=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.add_node_model"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.add_node_model" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.add_node_model_container">
<code class="descname">add_node_model_container</code><span class="sig-paren">(</span><em>label</em>, <em>parent</em>, <em>associated_strategy_node</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.add_node_model_container"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.add_node_model_container" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.add_node_solution">
<code class="descname">add_node_solution</code><span class="sig-paren">(</span><em>dag_phil_str_list</em>, <em>dag_cards_str_list</em>, <em>working_dag_list</em>, <em>working_parameters</em>, <em>label</em>, <em>parent</em>, <em>associated_strategy_node</em>, <em>data=None</em>, <em>probability=None</em>, <em>rank=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.add_node_solution"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.add_node_solution" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.add_node_voyager">
<code class="descname">add_node_voyager</code><span class="sig-paren">(</span><em>label</em>, <em>parent</em>, <em>associated_strategy_node</em>, <em>data=None</em>, <em>probability=None</em>, <em>rank=None</em>, <em>done=True</em>, <em>ready=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.add_node_voyager"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.add_node_voyager" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.all_simple_path_from_root_to">
<code class="descname">all_simple_path_from_root_to</code><span class="sig-paren">(</span><em>node</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.all_simple_path_from_root_to"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.all_simple_path_from_root_to" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.ancenstors">
<code class="descname">ancenstors</code><span class="sig-paren">(</span><em>n</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.ancenstors"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.ancenstors" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.annotate_voyager_dag_after_joining">
<code class="descname">annotate_voyager_dag_after_joining</code><span class="sig-paren">(</span><em>nodes</em>, <em>actionsvalid</em>, <em>joinode</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.annotate_voyager_dag_after_joining"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.annotate_voyager_dag_after_joining" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.attach_subgraph_from_p_to_nodes">
<code class="descname">attach_subgraph_from_p_to_nodes</code><span class="sig-paren">(</span><em>p</em>, <em>nodes</em>, <em>return_equivalents_of=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.attach_subgraph_from_p_to_nodes"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.attach_subgraph_from_p_to_nodes" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.common_ancestor_among">
<code class="descname">common_ancestor_among</code><span class="sig-paren">(</span><em>nodes</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.common_ancestor_among"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.common_ancestor_among" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.copy_of_graph">
<code class="descname">copy_of_graph</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.copy_of_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.copy_of_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="Voyager.voyager_dag.VoyagerDag.create_database">
<em class="property">classmethod </em><code class="descname">create_database</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.create_database"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.create_database" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="Voyager.voyager_dag.VoyagerDag.delete_from_db">
<em class="property">classmethod </em><code class="descname">delete_from_db</code><span class="sig-paren">(</span><em>id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.delete_from_db"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.delete_from_db" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.descendants">
<code class="descname">descendants</code><span class="sig-paren">(</span><em>n</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.descendants"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.descendants" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.edit_node">
<code class="descname">edit_node</code><span class="sig-paren">(</span><em>node</em>, <em>**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.edit_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.edit_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="Voyager.voyager_dag.VoyagerDag.extract_from_db">
<em class="property">classmethod </em><code class="descname">extract_from_db</code><span class="sig-paren">(</span><em>id</em>, <em>in_memory=False</em>, <em>where=None</em>, <em>filename=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.extract_from_db"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.extract_from_db" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_all_branches">
<code class="descname">get_all_branches</code><span class="sig-paren">(</span><em>sortby=None</em>, <em>reverse=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_all_branches"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_all_branches" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_all_leaves_from">
<code class="descname">get_all_leaves_from</code><span class="sig-paren">(</span><em>node</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_all_leaves_from"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_all_leaves_from" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_all_nodes_with_ensembles_clustered_models">
<code class="descname">get_all_nodes_with_ensembles_clustered_models</code><span class="sig-paren">(</span><em>nodei</em>, <em>label=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_all_nodes_with_ensembles_clustered_models"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_all_nodes_with_ensembles_clustered_models" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_all_nodes_with_hkl_data">
<code class="descname">get_all_nodes_with_hkl_data</code><span class="sig-paren">(</span><em>nodei</em>, <em>label=None</em>, <em>label_is_spacegroup=False</em>, <em>skip_check_data=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_all_nodes_with_hkl_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_all_nodes_with_hkl_data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_all_nodes_with_molecules">
<code class="descname">get_all_nodes_with_molecules</code><span class="sig-paren">(</span><em>nodei</em>, <em>label=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_all_nodes_with_molecules"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_all_nodes_with_molecules" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_all_nodes_with_pdb_model">
<code class="descname">get_all_nodes_with_pdb_model</code><span class="sig-paren">(</span><em>nodei</em>, <em>label=None</em>, <em>check_ensemble_clustering=False</em>, <em>label_start_with=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_all_nodes_with_pdb_model"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_all_nodes_with_pdb_model" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_all_sequences_saved">
<code class="descname">get_all_sequences_saved</code><span class="sig-paren">(</span><em>last_node</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_all_sequences_saved"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_all_sequences_saved" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_first_node_with_hkl_id_after">
<code class="descname">get_first_node_with_hkl_id_after</code><span class="sig-paren">(</span><em>nodei</em>, <em>label=None</em>, <em>getall=False</em>, <em>label_is_spacegroup=False</em>, <em>skip_check_data=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_first_node_with_hkl_id_after"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_first_node_with_hkl_id_after" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_first_node_with_model_id_after">
<code class="descname">get_first_node_with_model_id_after</code><span class="sig-paren">(</span><em>nodei</em>, <em>label=None</em>, <em>getall=False</em>, <em>check_ensemble_clustering=False</em>, <em>label_start_with=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_first_node_with_model_id_after"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_first_node_with_model_id_after" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_first_node_with_molecules_after">
<code class="descname">get_first_node_with_molecules_after</code><span class="sig-paren">(</span><em>nodei</em>, <em>getall=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_first_node_with_molecules_after"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_first_node_with_molecules_after" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_latest_node_with_hkl_id_before">
<code class="descname">get_latest_node_with_hkl_id_before</code><span class="sig-paren">(</span><em>nodei</em>, <em>label=None</em>, <em>getall=False</em>, <em>label_is_spacegroup=False</em>, <em>skip_check_data=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_latest_node_with_hkl_id_before"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_latest_node_with_hkl_id_before" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_latest_node_with_model_id_before">
<code class="descname">get_latest_node_with_model_id_before</code><span class="sig-paren">(</span><em>nodei</em>, <em>label=None</em>, <em>getall=False</em>, <em>check_ensemble_clustering=False</em>, <em>label_start_with=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_latest_node_with_model_id_before"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_latest_node_with_model_id_before" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_latest_node_with_molecules_before">
<code class="descname">get_latest_node_with_molecules_before</code><span class="sig-paren">(</span><em>nodei</em>, <em>getall=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_latest_node_with_molecules_before"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_latest_node_with_molecules_before" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_most_recent_node_with_hkl_data">
<code class="descname">get_most_recent_node_with_hkl_data</code><span class="sig-paren">(</span><em>nodei</em>, <em>label=None</em>, <em>label_is_spacegroup=False</em>, <em>skip_check_data=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_most_recent_node_with_hkl_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_most_recent_node_with_hkl_data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_most_recent_node_with_molecules">
<code class="descname">get_most_recent_node_with_molecules</code><span class="sig-paren">(</span><em>nodei</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_most_recent_node_with_molecules"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_most_recent_node_with_molecules" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_most_recent_node_with_pdb_model">
<code class="descname">get_most_recent_node_with_pdb_model</code><span class="sig-paren">(</span><em>nodei</em>, <em>label=None</em>, <em>label_start_with=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_most_recent_node_with_pdb_model"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_most_recent_node_with_pdb_model" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.get_next_dag_idnx">
<code class="descname">get_next_dag_idnx</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.get_next_dag_idnx"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.get_next_dag_idnx" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.hierarchy_pos">
<code class="descname">hierarchy_pos</code><span class="sig-paren">(</span><em>G</em>, <em>root=None</em>, <em>width=1.0</em>, <em>vert_gap=0.2</em>, <em>vert_loc=0</em>, <em>xcenter=0.5</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.hierarchy_pos"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.hierarchy_pos" title="Permalink to this definition">¶</a></dt>
<dd><p>From Joel’s answer at <a class="reference external" href="https://stackoverflow.com/a/29597209/2966723">https://stackoverflow.com/a/29597209/2966723</a>.
Licensed under Creative Commons Attribution-Share Alike</p>
<p>If the graph is a tree this will return the positions to plot this in a
hierarchical layout.</p>
<p>G: the graph (must be a tree)</p>
<p>root: the root node of current branch
- if the tree is directed and this is not given,</p>
<blockquote>
<div>the root will be found and used</div></blockquote>
<ul class="simple">
<li>if the tree is directed and this is given, then
the positions will be just for the descendants of this node.</li>
<li>if the tree is undirected and not given,
then a random choice will be used.</li>
</ul>
<p>width: horizontal space allocated for this branch - avoids overlap with other branches</p>
<p>vert_gap: gap between levels of hierarchy</p>
<p>vert_loc: vertical location of root</p>
<p>xcenter: horizontal location of root</p>
</dd></dl>

<dl class="classmethod">
<dt id="Voyager.voyager_dag.VoyagerDag.insert_in_db">
<em class="property">classmethod </em><code class="descname">insert_in_db</code><span class="sig-paren">(</span><em>id</em>, <em>files</em>, <em>skip=()</em>, <em>do_not_remove=()</em>, <em>skip_contains=()</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.insert_in_db"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.insert_in_db" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.iter_over_nodes">
<code class="descname">iter_over_nodes</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.iter_over_nodes"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.iter_over_nodes" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.nodes">
<code class="descname">nodes</code><span class="sig-paren">(</span><em>n</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.nodes"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.nodes" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.nodes_data">
<code class="descname">nodes_data</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.nodes_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.nodes_data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.number_of_edges">
<code class="descname">number_of_edges</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.number_of_edges"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.number_of_edges" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.number_of_nodes">
<code class="descname">number_of_nodes</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.number_of_nodes"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.number_of_nodes" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.out_degree">
<code class="descname">out_degree</code><span class="sig-paren">(</span><em>n</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.out_degree"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.out_degree" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.predecessors">
<code class="descname">predecessors</code><span class="sig-paren">(</span><em>n</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.predecessors"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.predecessors" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.remove_branch">
<code class="descname">remove_branch</code><span class="sig-paren">(</span><em>branch</em>, <em>remove_branch_root=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.remove_branch"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.remove_branch" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.remove_node">
<code class="descname">remove_node</code><span class="sig-paren">(</span><em>listofnodes</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.remove_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.remove_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.restructure_voyager_dag_after_joining">
<code class="descname">restructure_voyager_dag_after_joining</code><span class="sig-paren">(</span><em>nodes</em>, <em>actionsvalid</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.restructure_voyager_dag_after_joining"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.restructure_voyager_dag_after_joining" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.show">
<code class="descname">show</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.show"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.show" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.show_non_tree">
<code class="descname">show_non_tree</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.show_non_tree"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.show_non_tree" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="Voyager.voyager_dag.VoyagerDag.store_checkpoint_in_db">
<em class="property">classmethod </em><code class="descname">store_checkpoint_in_db</code><span class="sig-paren">(</span><em>dumped</em>, <em>stored_queue</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.store_checkpoint_in_db"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.store_checkpoint_in_db" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.substitute_node">
<code class="descname">substitute_node</code><span class="sig-paren">(</span><em>nodea</em>, <em>nodeb</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.substitute_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.substitute_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.voyager_dag.VoyagerDag.successors">
<code class="descname">successors</code><span class="sig-paren">(</span><em>n</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/voyager_dag.html#VoyagerDag.successors"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.successors" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="Voyager.voyager_dag.VoyagerDag.workingdir">
<code class="descname">workingdir</code><em class="property"> = None</em><a class="headerlink" href="#Voyager.voyager_dag.VoyagerDag.workingdir" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="Voyager.voyager_strategy.html" title="Voyager.voyager_strategy module"
             >next</a> |</li>
        <li class="right" >
          <a href="Voyager.voyager_actions.html" title="Voyager.voyager_actions module"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="Voyager.html" >Voyager package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>